program define iftest
version 8.0

syntax [, base(string) full(string)]

`base'
local br2=e(r2)
local bdf=e(df_m)
local bN=e(N)

`full'
local fr2=e(r2)
local fdf=e(df_m)
local fN=e(N)

if `bN' ~= `fN' {
	di in red "Sample sizes must be same for base and full models"
	exit 498 
}

local df1=(`fdf'-`bdf')
local df2=(`fN'-`fdf')
local Fnum=(`fr2'-`br2')/`df1'
local Fdnm=(1-`fr2')/`df2'
local Fs=round((`Fnum'/`Fdnm'), .0001)
local p=round(Ftail(`df1', `df2', `Fs'), 0.0001)

di _newline(2) as result "Incremental F-test"
di _newline(1) as text "     F(" as text `df1' as text ", " as text `df2' as text ") = " as result `Fs'
di in green "     Prob > F = " as result `p'

end


